NodeList.AttributeXMLOutputter (Velocity 1.4 API)
Keywords: org.apache.velocity.anakia.NodeList.AttributeXMLOutputter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.anakia
Class NodeList.AttributeXMLOutputter

    java.lang.Object
      org.jdom.output.XMLOutputter
          org.apache.velocity.anakia.NodeList.AttributeXMLOutputter

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  NodeList

private static final class NodeList.AttributeXMLOutputter
extends org.jdom.output.XMLOutputter

A special subclass of XMLOutputter that will be used to output Attribute nodes. As a subclass of XMLOutputter it can use its protected method escapeAttributeEntities() to serialize the attribute appropriately.

Nested Class Summary

Nested classes inherited from class org.jdom.output.XMLOutputter
`org.jdom.output.XMLOutputter.NamespaceStack`

Field Summary

Fields inherited from class org.jdom.output.XMLOutputter
``

Constructor Summary
`private` | `NodeList.AttributeXMLOutputter()`

Method Summary
`void` | `output(org.jdom.Attribute attribute, java.io.Writer out)`

Methods inherited from class org.jdom.output.XMLOutputter
`clone, createNamespaceStack, escapeAttributeEntities, escapeElementEntities, indent, makeWriter, makeWriter, newline, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, output, outputElementContent, outputElementContent, outputString, outputString, outputString, outputString, outputString, outputString, outputString, outputString, outputString, outputString, parseArgs, printAttributes, printCDATA, printComment, printContentRange, printDeclaration, printDocType, printElement, printEntityRef, printProcessingInstruction, printString, printText, printTextRange, setEncoding, setExpandEmptyElements, setIndent, setIndent, setIndent, setIndentSize, setLineSeparator, setNewlines, setOmitDeclaration, setOmitEncoding, setTextNormalize, setTextTrim, setTrimAllWhite, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeList.AttributeXMLOutputter

    private NodeList.AttributeXMLOutputter()

Method Detail

### output

    public void output(org.jdom.Attribute attribute,
                       java.io.Writer out)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.